window.Gleam.initSearch([{"doc":"oas","title":"oas","content":"# oas\n\nParse an open api (previously swagger) spec.\n\n[![Package Version](https://img.shields.io/hexpm/v/oas)](https://hex.pm/packages/oas)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/oas/)\n\n```sh\ngleam add oas@1\n```\n```gleam\nimport oas\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/oas&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"oas","title":"Components","content":"pub type Components {\n  Components(schemas: Dict(String, Schema))\n}\n\nComponents(schemas: Dict(String, Schema))\n\n\nSynonyms:\noas.Components\noas Components","url":"oas.html#Components"},{"doc":"oas","title":"Document","content":"pub type Document {\n  Document(\n    version: String,\n    info: Info,\n    paths: Dict(String, PathItem),\n    components: Components,\n  )\n}\n This is the root object of the OpenAPI document.\nDocument(\n  version: String,\n  info: Info,\n  paths: Dict(String, PathItem),\n  components: Components,\n)\n\n\nSynonyms:\noas.Document\noas Document","url":"oas.html#Document"},{"doc":"oas","title":"Header","content":"pub type Header {\n  Header(\n    description: Option(String),\n    required: Bool,\n    schema: Schema,\n  )\n}\n\nHeader(\n  description: Option(String),\n  required: Bool,\n  schema: Schema,\n)\n\n\nSynonyms:\noas.Header\noas Header","url":"oas.html#Header"},{"doc":"oas","title":"Info","content":"pub type Info {\n  Info(version: String)\n}\n The object provides metadata about the API. The metadata MAY be used by the clients if needed, and MAY be presented in editing or documentation generation tools for convenience.\nInfo(version: String)\n\n\nSynonyms:\noas.Info\noas Info","url":"oas.html#Info"},{"doc":"oas","title":"MediaType","content":"pub type MediaType {\n  MediaType(schema: Schema)\n}\n\nMediaType(schema: Schema)\n\n\nSynonyms:\noas.MediaType\noas MediaType","url":"oas.html#MediaType"},{"doc":"oas","title":"Operation","content":"pub type Operation {\n  Operation(\n    tags: List(String),\n    summary: Option(String),\n    description: Option(String),\n    operation_id: String,\n    parameters: List(Parameter),\n    request_body: Option(RequestBody),\n    responses: Dict(Status, Response),\n  )\n}\n\nOperation(\n  tags: List(String),\n  summary: Option(String),\n  description: Option(String),\n  operation_id: String,\n  parameters: List(Parameter),\n  request_body: Option(RequestBody),\n  responses: Dict(Status, Response),\n)\n\n\nSynonyms:\noas.Operation\noas Operation","url":"oas.html#Operation"},{"doc":"oas","title":"Parameter","content":"pub type Parameter {\n  QueryParameter(\n    name: String,\n    description: Option(String),\n    required: Bool,\n    schema: Schema,\n  )\n  PathParameter(name: String, schema: Schema)\n  HeaderParameter(\n    name: String,\n    description: Option(String),\n    required: Bool,\n    schema: Schema,\n  )\n  CookieParameter(\n    name: String,\n    description: Option(String),\n    required: Bool,\n    schema: Schema,\n  )\n}\n\nQueryParameter(\n  name: String,\n  description: Option(String),\n  required: Bool,\n  schema: Schema,\n)\n\n\nPathParameter(name: String, schema: Schema)\n\n\nHeaderParameter(\n  name: String,\n  description: Option(String),\n  required: Bool,\n  schema: Schema,\n)\n\n\nCookieParameter(\n  name: String,\n  description: Option(String),\n  required: Bool,\n  schema: Schema,\n)\n\n\nSynonyms:\noas.Parameter\noas Parameter","url":"oas.html#Parameter"},{"doc":"oas","title":"PathItem","content":"pub type PathItem {\n  PathItem(\n    summary: Option(String),\n    description: Option(String),\n    parameters: List(Parameter),\n    operations: List(#(http.Method, Operation)),\n  )\n}\n Describes the operations available on a single path. \nPathItem(\n  summary: Option(String),\n  description: Option(String),\n  parameters: List(Parameter),\n  operations: List(#(http.Method, Operation)),\n)\n\n\nSynonyms:\noas.PathItem\noas PathItem","url":"oas.html#PathItem"},{"doc":"oas","title":"RequestBody","content":"pub type RequestBody {\n  RequestBody(\n    description: Option(String),\n    content: Dict(String, MediaType),\n    required: Bool,\n  )\n}\n\nRequestBody(\n  description: Option(String),\n  content: Dict(String, MediaType),\n  required: Bool,\n)\n\n\nSynonyms:\noas.RequestBody\noas RequestBody","url":"oas.html#RequestBody"},{"doc":"oas","title":"Response","content":"pub type Response {\n  Response(\n    description: String,\n    headers: Dict(String, Header),\n    content: Option(Dict(String, MediaType)),\n  )\n}\n\nResponse(\n  description: String,\n  headers: Dict(String, Header),\n  content: Option(Dict(String, MediaType)),\n)\n\n\nSynonyms:\noas.Response\noas Response","url":"oas.html#Response"},{"doc":"oas","title":"Schema","content":"pub type Schema {\n  Boolean\n  Integer\n  Number\n  String\n  Array(Schema)\n  Object(properties: Dict(String, Schema))\n}\n\nBoolean\n\n\nInteger\n\n\nNumber\n\n\nString\n\n\nArray(Schema)\n\n\nObject(properties: Dict(String, Schema))\n\n\nSynonyms:\noas.Schema\noas Schema","url":"oas.html#Schema"},{"doc":"oas","title":"Status","content":"pub type Status {\n  Default\n  Status(Int)\n}\n\nDefault\n\n\nStatus(Int)\n\n\nSynonyms:\noas.Status\noas Status","url":"oas.html#Status"},{"doc":"oas","title":"decoder","content":"pub fn decoder(\n  top: Dynamic,\n) -&gt; Result(Document, List(DecodeError))\n\nSynonyms:\noas.decoder\noas decoder","url":"oas.html#decoder"},{"doc":"oas","title":"oas","content":"","url":"oas.html"}]);